export const RPL_COMMAND = [
  ['300', 'RPL_NONE', ''],
  ['302', 'RPL_USERHOST', ':[<reply>{<space><reply>}]'],
  ['303', 'RPL_ISON', ':[<nick> {<space><nick>}]'],
  ['301', 'RPL_AWAY', '<nick> :<away message>'],
  ['305', 'RPL_UNAWAY', ':You are no longer marked as being away'],
  ['306', 'RPL_NOWAWAY', ':You have been marked as being away'],
  ['307', 'RPL_WHOISREGNICK', '<nick> :is a registered nick'],
  ['311', 'RPL_WHOISUSER', '<nick> <user> <host> * :<real name>'],
  ['312', 'RPL_WHOISSERVER', '<nick> <server> :<server info>'],
  ['313', 'RPL_WHOISOPERATOR', '<nick> :is an IRC operator'],
  [
    '317',
    'RPL_WHOISIDLE',
    '<nick> <integer> [<integer>] :seconds idle[, signon at]',
  ],
  ['318', 'RPL_ENDOFWHOIS', '<nick> :End of /WHOIS list'],
  ['319', 'RPL_WHOISCHANNELS', '<nick> :{[@|+]<channel><space>}'],
  ['314', 'RPL_WHOWASUSER', '<nick> <user> <host> * :<real name>'],
  ['369', 'RPL_ENDOFWHOWAS', '<nick> :End of WHOWAS'],
  ['321', 'RPL_LISTSTART', 'Channel :Users  Name'],
  ['322', 'RPL_LIST', '<channel> <# visible> :<topic>'],
  ['323', 'RPL_LISTEND', ':End of /LIST'],
  ['324', 'RPL_CHANNELMODEIS', '<channel> <mode> <mode params>'],
  ['324', 'RPL_WHOISACCOUNT', '<nick> <authname> :is logged in as'],
  ['331', 'RPL_NOTOPIC', '<channel> :No topic is set'],
  ['332', 'RPL_TOPIC', '<channel> :<topic>'],
  ['333', 'RPL_TOPICWHOTIME', '<nick> <user> <host> :<integer>'],
  ['335', 'RPL_WHOISBOT', ':is a bot on network'],
  ['341', 'RPL_INVITING', '<channel> <nick>'],
  ['342', 'RPL_SUMMONING', '<user> :Summoning user to IRC'],
  ['351', 'RPL_VERSION', '<version>.<debuglevel> <server> :<comments>'],
  [
    '352',
    'RPL_WHOREPLY',
    '<channel> <user> <host> <server> <nick> <H|G>[*][@|+] :<hopcount> <real name>',
  ],
  ['315', 'RPL_ENDOFWHO', '<name> :End of /WHO list'],
  ['353', 'RPL_NAMREPLY', '<channel> :[[@|+]<nick> [[@|+]<nick> [...]]]'],
  ['366', 'RPL_ENDOFNAMES', '<channel> :End of /NAMES list'],
  ['364', 'RPL_LINKS', '<mask> <server> :<hopcount> <server info>'],
  ['365', 'RPL_ENDOFLINKS', '<mask> :End of /LINKS list'],
  ['367', 'RPL_BANLIST', '<channel> <banid>'],
  ['368', 'RPL_ENDOFBANLIST', '<channel> :End of channel ban list'],
  ['371', 'RPL_INFO', ':<string>'],
  ['374', 'RPL_ENDOFINFO', ':End of /INFO list'],
  ['375', 'RPL_MOTDSTART', ':- <server> Message of the day - '],
  ['372', 'RPL_MOTD', ':- <text>'],
  ['376', 'RPL_ENDOFMOTD', ':End of /MOTD command'],
  ['379', 'RPL_WHOISMODES', '<nick> <modes> :is using modes'],
  ['381', 'RPL_YOUREOPER', ':You are now an IRC operator'],
  ['382', 'RPL_REHASHING', '<config file> :Rehashing'],
  ['391', 'RPL_TIME', "<server> :<string showing server's local time>"],
  ['392', 'RPL_USERSSTART', ':UserID   Terminal  Host'],
  ['393', 'RPL_USERS', ':%-8s %-9s %-8s'],
  ['394', 'RPL_ENDOFUSERS', ':End of users'],
  ['395', 'RPL_NOUSERS', ':Nobody logged in'],
  [
    '200',
    'RPL_TRACELINK',
    'Link <version & debug level> <destination> <next server>',
  ],
  ['201', 'RPL_TRACECONNECTING', 'Try. <class> <server>'],
  ['202', 'RPL_TRACEHANDSHAKE', 'H.S. <class> <server>'],
  ['203', 'RPL_TRACEUNKNOWN', '???? <class> [<client IP address in dot form>]'],
  ['204', 'RPL_TRACEOPERATOR', 'Oper <class> <nick>'],
  ['205', 'RPL_TRACEUSER', 'User <class> <nick>'],
  [
    '206',
    'RPL_TRACESERVER',
    'Serv <class> <int>S <int>C <server> <nick!user|*!*>@<host|server>',
  ],
  ['208', 'RPL_TRACENEWTYPE', '<newtype> 0 <client name>'],
  ['261', 'RPL_TRACELOG', 'File <logfile> <debug level>'],
  [
    '211',
    'RPL_STATSLINKINFO',
    '<linkname> <sendq> <sent messages> <sent bytes> <received messages> <received bytes> <time open>',
  ],
  ['212', 'RPL_STATSCOMMANDS', '<command> <count>'],
  ['213', 'RPL_STATSCLINE', 'C <host> * <name> <port> <class>'],
  ['214', 'RPL_STATSNLINE', 'N <host> * <name> <port> <class>'],
  ['215', 'RPL_STATSILINE', 'I <host> * <host> <port> <class>'],
  ['216', 'RPL_STATSKLINE', 'K <host> * <username> <port> <class>'],
  [
    '218',
    'RPL_STATSYLINE',
    'Y <class> <ping frequency> <connect frequency> <max sendq>',
  ],
  ['219', 'RPL_ENDOFSTATS', '<stats letter> :End of /STATS report'],
  ['241', 'RPL_STATSLLINE', 'L <hostmask> * <servername> <maxdepth>'],
  ['242', 'RPL_STATSUPTIME', ':Server Up %d days %d:%02d:%02d'],
  ['243', 'RPL_STATSOLINE', 'O <hostmask> * <name>'],
  ['244', 'RPL_STATSHLINE', 'H <hostmask> * <servername>'],
  ['221', 'RPL_UMODEIS', '<user mode string>'],
  [
    '251',
    'RPL_LUSERCLIENT',
    ':There are <integer> users and <integer> invisible on <integer> servers',
  ],
  ['252', 'RPL_LUSEROP', '<integer> :operator(s) online'],
  ['253', 'RPL_LUSERUNKNOWN', '<integer> :unknown connection(s)'],
  ['254', 'RPL_LUSERCHANNELS', '<integer> :channels formed'],
  ['255', 'RPL_LUSERME', ':I have <integer> clients and <integer> servers'],
  ['256', 'RPL_ADMINME', '<server> :Administrative info'],
  ['257', 'RPL_ADMINLOC1', ':<admin info>'],
  ['258', 'RPL_ADMINLOC2', ':<admin info>'],
  ['259', 'RPL_ADMINEMAIL', ':<admin info>'],
  ['671', 'RPL_WHOISSECURE', '<nick> [<type>] :is using a secure connection'],
  [
    '900',
    'RPL_LOGGEDIN',
    '<nick> <nick> <ident> <host> <account> :You are now logged in as',
  ],
  [
    '901',
    'RPL_LOGGEDOUT',
    '<nick> <nick> <ident> <host> <account> :You are now logged out',
  ],
  ['903', 'RPL_SASLSUCCESS', '<nick> :SASL authentication successful'],
  [
    '908',
    'RPL_SASLMECHS',
    '<nick> <mechanisms> :are available SASL mechanisms',
  ],
];
